Bug 516284 - Review Request: mod_auth_cas - Apache 2.0/2.2 compliant module that supports the CASv1 and CASv2 protocols
Summary: Review Request: mod_auth_cas - Apache 2.0/2.2 compliant module that supports ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark Chappell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-07 19:48 UTC by Adam Miller
Modified: 2010-08-05 23:31 UTC (History)
3 users (show)

Fixed In Version: mod_auth_cas-1.0.8.1-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-04 23:03:16 UTC
tremble: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Adam Miller 2009-08-07 19:48:59 UTC
Spec URL: http://maxamillion.fedorapeople.org/mod_auth_cas.spec
SRPM URL: http://maxamillion.fedorapeople.org/mod_auth_cas-1.0.8-1.fc11.src.rpm

Description: mod_auth_cas is an Apache 2.0/2.2 compliant module that supports the CASv1 and CASv2 protocols

Comment 1 Mark Chappell 2010-03-02 17:22:25 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested through koji: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=2025607
http://koji.fedoraproject.org/koji/taskinfo?taskID=2025641
 [!] Rpmlint output: 
mod_auth_cas.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 3)
3 packages and 0 specfiles checked; 0 errors, 1 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
     Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license. 
     License type: GPLv3+ with exceptions
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
   No differences found
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [!] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [!] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
      Tested through Koji:
      https://koji.fedoraproject.org/koji/taskinfo?taskID=2025641
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested through koji
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the tests pass tests if appropriate
     No tests available from upstream

=======

Basically 2 minor niggles only.

* Package should require httpd (owner of %{_sysconfdir}/httpd)

* Mixed use of $RPM_BUILD_ROOT and %{_libdir}... - probably want to replace $RPM_BUILD_ROOT with %{buildroot}

Comment 2 Mark Chappell 2010-03-02 17:23:45 UTC
* Mixed use of tabs and spaces too (see RPM lint)

Comment 3 Adam Miller 2010-04-28 19:01:11 UTC
Spec URL: http://maxamillion.fedorapeople.org/mod_auth_cas.spec
SRPM URL: http://maxamillion.fedorapeople.org/mod_auth_cas-1.0.8.1-1.fc12.src.rpm

Sorry, the bugzilla email must have gotten lost in my inbox. Many thanks for taking the time to review!

I fixed the two review points as well as updated to latest upstream release.

-AdamM

Comment 4 Mark Chappell 2010-06-25 11:53:50 UTC
Apologies for the delay in getting back to you.

Niggles have been mostly been fixed, APPROVED.

There's an RPM Lint warning about mixed use of tabs and spaces, please switch the tabs on line 3,4,18 and 20 to spaces prior to import.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2271966

I'm happy to comaintain if you'd like, and would specifically request an EL-6 branch while you're at it.

Comment 5 Adam Miller 2010-06-28 16:51:04 UTC
Many thanks for the review, co-maintainer is always welcome! :)

EPEL EL-5 and EL-6 will be a must for myself as well.

Comment 6 Adam Miller 2010-06-28 16:55:34 UTC
New Package CVS Request
=======================
Package Name: mod_auth_cas
Short Description: Apache 2.0/2.2 compliant module that supports the CASv1 and CASv2 protocols
Owners: maxamillion tremble
Branches: F-12 F-13 EL-4 EL-5 EL-6

Comment 7 Jason Tibbitts 2010-06-28 17:43:01 UTC
CVS done (by process-cvs-requests.py).

Comment 8 Fedora Update System 2010-06-29 16:18:13 UTC
mod_auth_cas-1.0.8.1-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/mod_auth_cas-1.0.8.1-2.el4

Comment 9 Fedora Update System 2010-06-29 16:18:19 UTC
mod_auth_cas-1.0.8.1-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mod_auth_cas-1.0.8.1-2.el5

Comment 10 Fedora Update System 2010-06-29 16:18:24 UTC
mod_auth_cas-1.0.8.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mod_auth_cas-1.0.8.1-2.fc12

Comment 11 Fedora Update System 2010-06-29 16:18:28 UTC
mod_auth_cas-1.0.8.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mod_auth_cas-1.0.8.1-2.fc13

Comment 12 Fedora Update System 2010-06-30 14:22:15 UTC
mod_auth_cas-1.0.8.1-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mod_auth_cas'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mod_auth_cas-1.0.8.1-2.el5

Comment 13 Fedora Update System 2010-06-30 14:22:23 UTC
mod_auth_cas-1.0.8.1-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mod_auth_cas'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mod_auth_cas-1.0.8.1-2.el4

Comment 14 Fedora Update System 2010-06-30 15:08:54 UTC
mod_auth_cas-1.0.8.1-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mod_auth_cas'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mod_auth_cas-1.0.8.1-2.fc13

Comment 15 Fedora Update System 2010-06-30 15:13:06 UTC
mod_auth_cas-1.0.8.1-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mod_auth_cas'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mod_auth_cas-1.0.8.1-2.fc12

Comment 16 Fedora Update System 2010-08-04 23:03:10 UTC
mod_auth_cas-1.0.8.1-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-08-04 23:05:13 UTC
mod_auth_cas-1.0.8.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-08-05 23:30:20 UTC
mod_auth_cas-1.0.8.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-08-05 23:31:03 UTC
mod_auth_cas-1.0.8.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.